package pwp;

import java.util.ArrayList;
import java.util.List;

import pwp.Match.Outcome;

public class Event {

    private String type;
    private int numPlayers;
    private String format;
    private int place;
    private List<Match> matches;

    public Event() {
        matches = new ArrayList<>();
    }

    public String toString() {
        return type + "\n" + numPlayers + " players\nFinish: " + place + "\n" + Record.fromMatches(matches) + "\n";
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public int getNumPlayers() {
        return numPlayers;
    }

    public void setNumPlayers(int numPlayers) {
        this.numPlayers = numPlayers;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public int getPlace() {
        return place;
    }

    public void setPlace(int place) {
        this.place = place;
    }

    public List<Match> getMatches() {
        return matches;
    }

    public void setMatches(List<Match> matches) {
        this.matches = matches;
    }
}
